# SceLibraryStubTable Struct Reference
[Interface to the LoadCoreForKernel library.]

`#include <sdk/kernel/psploadcore.h>`

## Detailed Description

Specifies a library and a set of imports from that library.

Use the len member to determine the real size of the table (size = len * 4).

## Data Fields

const char * | libname
unsigned char | version [2]
| Minimum required version of the library we want to import.
unsigned short | attribute
unsigned char | len
| Length of this stub table in 32-bit WORDs.
unsigned char | vstubcount
| The number of variables imported from the library.
unsigned short | stubcount
| The number of functions imported from the library.
unsigned int * | nidtable
| Pointer to an array of NIDs.
void * | stubtable
| Pointer to the imported function stubs.
void * | vstubtable
| Pointer to the imported variable stubs.

## Field Documentation

unsigned short SceLibraryStubTable::attribute

unsigned char SceLibraryStubTable::len

| Length of this stub table in 32-bit WORDs.

const char* SceLibraryStubTable::libname

unsigned int* SceLibraryStubTable::nidtable

| Pointer to an array of NIDs.

unsigned short SceLibraryStubTable::stubcount

| The number of functions imported from the library.

void* SceLibraryStubTable::stubtable

| Pointer to the imported function stubs.

unsigned char SceLibraryStubTable::version[2]

| Minimum required version of the library we want to import.

unsigned char SceLibraryStubTable::vstubcount

| The number of variables imported from the library.

void* SceLibraryStubTable::vstubtable

| Pointer to the imported variable stubs.

The documentation for this struct was generated from the following file:

- sdk/kernel/psploadcore.h